inherited frmPersonListing: TfrmPersonListing
  Caption = 'Person Listing'
  OnClose = FormClose
  OnShow = FormShow
  inherited pnSort: TPanel
    object rgSort: TRadioGroup[1]
      Left = 8
      Height = 161
      Top = 56
      Width = 153
      AutoFill = True
      ChildSizing.LeftRightSpacing = 6
      ChildSizing.EnlargeHorizontal = crsHomogenousChildResize
      ChildSizing.EnlargeVertical = crsHomogenousChildResize
      ChildSizing.ShrinkHorizontal = crsScaleChilds
      ChildSizing.ShrinkVertical = crsScaleChilds
      ChildSizing.Layout = cclLeftToRightThenTopToBottom
      ChildSizing.ControlsPerLine = 1
      ClientHeight = 141
      ClientWidth = 149
      ItemIndex = 0
      Items.Strings = (
        'First Name, Last Name'
        'Last Name, First Name'
        'Country, Name'
        'Relation, Name'
        'Type, Name'
      )
      TabOrder = 1
    end
  end
  inherited pnCriteria: TPanel
    object lbFrom: TLabel[1]
      Left = 88
      Height = 15
      Top = 56
      Width = 28
      Caption = 'From'
      ParentColor = False
    end
    object lbTo: TLabel[2]
      Left = 272
      Height = 15
      Top = 56
      Width = 13
      Caption = 'To'
      ParentColor = False
    end
    object lbPID: TLabel[3]
      Left = 24
      Height = 15
      Top = 89
      Width = 50
      Caption = 'Person ID'
      ParentColor = False
    end
    object ePIDFrom: TEdit[4]
      Left = 88
      Height = 23
      Top = 89
      Width = 80
      NumbersOnly = True
      TabOrder = 1
      Text = '0'
    end
    object ePIDTo: TEdit[5]
      Left = 272
      Height = 23
      Top = 89
      Width = 80
      NumbersOnly = True
      TabOrder = 2
      Text = '0'
    end
    object lbFirstName: TLabel[6]
      Left = 17
      Height = 15
      Top = 117
      Width = 57
      Caption = 'First Name'
      ParentColor = False
    end
    object eNameFrom: TEdit[7]
      Left = 88
      Height = 23
      Top = 117
      Width = 80
      TabOrder = 3
    end
    object eNameTo: TEdit[8]
      Left = 272
      Height = 23
      Top = 117
      Width = 80
      TabOrder = 4
    end
    object lbCity: TLabel[9]
      Left = 53
      Height = 15
      Top = 144
      Width = 21
      Caption = 'City'
      ParentColor = False
    end
    object eCityFrom: TEdit[10]
      Left = 88
      Height = 23
      Top = 144
      Width = 165
      TabOrder = 5
    end
    object eCityTo: TEdit[11]
      Left = 272
      Height = 23
      Top = 144
      Width = 165
      TabOrder = 6
    end
    object lbRelation: TLabel[12]
      Left = 31
      Height = 15
      Top = 176
      Width = 43
      Caption = 'Relation'
      ParentColor = False
    end
    object lbType: TLabel[13]
      Left = 49
      Height = 15
      Top = 208
      Width = 25
      Caption = 'Type'
      ParentColor = False
    end
    object lbOccupation: TLabel[14]
      Left = 12
      Height = 15
      Top = 240
      Width = 62
      Caption = 'Occupation'
      ParentColor = False
    end
    object cmbRelation: TDBLookupComboBox[15]
      Left = 88
      Height = 23
      Top = 176
      Width = 165
      KeyField = 'RID'
      ListField = 'DESCRIPTION'
      ListFieldIndex = 0
      ListSource = dsRelation
      LookupCache = False
      TabOrder = 7
    end
    object cmbType: TDBLookupComboBox[16]
      Left = 88
      Height = 23
      Top = 208
      Width = 165
      KeyField = 'TID'
      ListField = 'DESCRIPTION'
      ListFieldIndex = 0
      ListSource = dsPersonType
      LookupCache = False
      TabOrder = 8
    end
    object cmbOccupation: TDBLookupComboBox[17]
      Left = 88
      Height = 23
      Top = 240
      Width = 349
      KeyField = 'OID'
      ListField = 'TITLE'
      ListFieldIndex = 0
      ListSource = dsOccupation
      LookupCache = False
      TabOrder = 9
    end
    object Memo1: TMemo[18]
      Left = 280
      Height = 90
      Top = 256
      Width = 150
      Lines.Strings = (
        'Memo1'
      )
      TabOrder = 10
    end
  end
  inherited btPreview: TImage
    OnClick = btPreviewClick
  end
  object qrPersonListing: TZReadOnlyQuery[6]
    Connection = dmHestia.cnHestia
    SQL.Strings = (
      'SELECT * FROM  sp_personreport (0, --PID1'
      '0, --PID2'
      ''''', -- NAME1'
      ''''', -- NAME2 '
      ''''', --CITY1 '
      ''''', --CITY2 '
      '0, --RID '
      '0, --TID i'
      '0, --OID '
      '1 -- SORTNUMBER integer'
      ') ;'
    )
    Params = <>
    Left = 104
    Top = 288
    object qrPersonListingPID: TLongintField
      DisplayLabel = 'Person ID'
      FieldKind = fkData
      FieldName = 'PID'
      Index = 0
      LookupCache = False
      ProviderFlags = [pfInUpdate, pfInWhere]
      ReadOnly = True
      Required = False
    end
    object qrPersonListingFIRSTNAME: TStringField
      DisplayLabel = 'First Name'
      FieldKind = fkData
      FieldName = 'FIRSTNAME'
      Index = 1
      LookupCache = False
      ProviderFlags = [pfInUpdate, pfInWhere]
      ReadOnly = True
      Required = False
      Size = 480
    end
    object qrPersonListingMIDDLENAME: TStringField
      DisplayLabel = 'Middle Name'
      FieldKind = fkData
      FieldName = 'MIDDLENAME'
      Index = 2
      LookupCache = False
      ProviderFlags = [pfInUpdate, pfInWhere]
      ReadOnly = True
      Required = False
      Size = 240
    end
    object qrPersonListingLASTNAME: TStringField
      DisplayLabel = 'Last Name'
      FieldKind = fkData
      FieldName = 'LASTNAME'
      Index = 3
      LookupCache = False
      ProviderFlags = [pfInUpdate, pfInWhere]
      ReadOnly = True
      Required = False
      Size = 480
    end
    object qrPersonListingTYPEDESCRIPTION: TStringField
      DisplayLabel = 'Type'
      FieldKind = fkData
      FieldName = 'TYPEDESCRIPTION'
      Index = 4
      LookupCache = False
      ProviderFlags = [pfInUpdate, pfInWhere]
      ReadOnly = True
      Required = False
      Size = 480
    end
    object qrPersonListingBIRTHDATE: TDateField
      DisplayLabel = 'Birth Date'
      FieldKind = fkData
      FieldName = 'BIRTHDATE'
      Index = 5
      LookupCache = False
      ProviderFlags = [pfInUpdate, pfInWhere]
      ReadOnly = True
      Required = False
    end
    object qrPersonListingADDRESS1: TStringField
      DisplayLabel = 'Address 1'
      FieldKind = fkData
      FieldName = 'ADDRESS1'
      Index = 6
      LookupCache = False
      ProviderFlags = [pfInUpdate, pfInWhere]
      ReadOnly = True
      Required = False
      Size = 800
    end
    object qrPersonListingADDRESS2: TStringField
      DisplayLabel = 'Address 2'
      FieldKind = fkData
      FieldName = 'ADDRESS2'
      Index = 7
      LookupCache = False
      ProviderFlags = [pfInUpdate, pfInWhere]
      ReadOnly = True
      Required = False
      Size = 800
    end
    object qrPersonListingCITY: TStringField
      DisplayLabel = 'City'
      FieldKind = fkData
      FieldName = 'CITY'
      Index = 8
      LookupCache = False
      ProviderFlags = [pfInUpdate, pfInWhere]
      ReadOnly = True
      Required = False
      Size = 480
    end
    object qrPersonListingSTATE: TStringField
      DisplayLabel = 'State'
      FieldKind = fkData
      FieldName = 'STATE'
      Index = 9
      LookupCache = False
      ProviderFlags = [pfInUpdate, pfInWhere]
      ReadOnly = True
      Required = False
      Size = 32
    end
    object qrPersonListingZIP: TStringField
      DisplayLabel = 'Zip'
      FieldKind = fkData
      FieldName = 'ZIP'
      Index = 10
      LookupCache = False
      ProviderFlags = [pfInUpdate, pfInWhere]
      ReadOnly = True
      Required = False
      Size = 160
    end
    object qrPersonListingCOUNTRY: TStringField
      DisplayLabel = 'Country'
      FieldKind = fkData
      FieldName = 'COUNTRY'
      Index = 11
      LookupCache = False
      ProviderFlags = [pfInUpdate, pfInWhere]
      ReadOnly = True
      Required = False
      Size = 1600
    end
    object qrPersonListingEMAIL: TStringField
      DisplayLabel = 'Email'
      FieldKind = fkData
      FieldName = 'EMAIL'
      Index = 12
      LookupCache = False
      ProviderFlags = [pfInUpdate, pfInWhere]
      ReadOnly = True
      Required = False
      Size = 800
    end
    object qrPersonListingPHONE: TStringField
      DisplayLabel = 'Phone'
      FieldKind = fkData
      FieldName = 'PHONE'
      Index = 13
      LookupCache = False
      ProviderFlags = [pfInUpdate, pfInWhere]
      ReadOnly = True
      Required = False
      Size = 320
    end
    object qrPersonListingMOBILE: TStringField
      DisplayLabel = 'Mobile'
      FieldKind = fkData
      FieldName = 'MOBILE'
      Index = 14
      LookupCache = False
      ProviderFlags = [pfInUpdate, pfInWhere]
      ReadOnly = True
      Required = False
      Size = 320
    end
    object qrPersonListingRELATION: TStringField
      DisplayLabel = 'Relation'
      FieldKind = fkData
      FieldName = 'RELATION'
      Index = 15
      LookupCache = False
      ProviderFlags = [pfInUpdate, pfInWhere]
      ReadOnly = True
      Required = False
      Size = 480
    end
    object qrPersonListingOCCUPATION: TStringField
      DisplayLabel = 'Occupation'
      FieldKind = fkData
      FieldName = 'OCCUPATION'
      Index = 16
      LookupCache = False
      ProviderFlags = [pfInUpdate, pfInWhere]
      ReadOnly = True
      Required = False
      Size = 2400
    end
    object qrPersonListingANNIVERSARY: TDateField
      DisplayLabel = 'Anniversary'
      FieldKind = fkData
      FieldName = 'ANNIVERSARY'
      Index = 17
      LookupCache = False
      ProviderFlags = [pfInUpdate, pfInWhere]
      ReadOnly = True
      Required = False
    end
  end
  object fprdsPerson: TFPReportDatasetData[7]
    DataSet = qrPersonListing
    Left = 40
    Top = 224
  end
  object fprPDF: TFPReportExportPDF[8]
    AutoRun = False
    FileName = 'typhon.pdf'
    Options = []
    Left = 40
    Top = 288
  end
  object dsRelation: TDataSource[9]
    DataSet = dmHestia.qrRelationLookUp
    Left = 200
    Top = 288
  end
  object dsPersonType: TDataSource[10]
    DataSet = dmHestia.qrPersonTypeLookUp
    Left = 304
    Top = 288
  end
  object dsOccupation: TDataSource[11]
    DataSet = dmHestia.qrOccupationLookUp
    Left = 392
    Top = 288
  end
  object fprPreview: TFPreportPreviewExport[12]
    AutoRun = False
    Left = 496
    Top = 288
  end
  object fprPersonListing: TFPJSONReport[13]
    Title = 'Person Listing'
    TwoPass = True
    ReportData = <    
      item
        Data = fprdsPerson
      end>
    Left = 112
    Top = 224
    ReportJSON = '{ "Report" : { "Name" : "fprPersonListing", "Title" : "Person Listing", "Author" : "", "TwoPass" : true, "DateCreated" : "20190912T111157", "Images" : {}, "Pages" : { "0" : { "Name" : "Page1", "Layout" : { "Top" : 1.5000000000000000E+001, "Left" : 1.5000000000000000E+001, "Width" : 1.8600000000000000E+002, "Height" : 2.4900000000000000E+002 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 0, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smDontStretch", "Orientation" : "poPortrait", "PageSize.PaperName" : "LETTER", "PageSize.Width" : 2.1600000000000000E+002, "PageSize.Height" : 2.7900000000000000E+002, "FontName" : "Calibri", "FontSize" : 10, "FontColor" : 0, "Data" : "fprdsPerson", "Margins" : { "Top" : 1.5000000000000000E+001, "Left" : 1.5000000000000000E+001, "Bottom" : 1.5000000000000000E+001, "Right" : 1.5000000000000000E+001 }, "Children" : { "0" : { "DataBand" : { "Name" : "DataBand1", "Layout" : { "Top" : 3.6777084350585938E+001, "Left" : 0.0000000000000000E+000, "Width" : 1.8600000000000000E+002, "Height" : 1.2964584350585938E+001 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 0, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smActualHeight", "UseParentFont" : true, "BandPosition" : "bpNormal", "Children" : { "0" : { "Memo" : { "Name" : "mPID", "Layout" : { "Top" : 0.0000000000000000E+000, "Left" : 0.0000000000000000E+000, "Width" : 1.3493749618530273E+001, "Height" : 4.4979166984558105E+000 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 0, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smDontStretch", "Text" : "[fprDSPerson.PID]", "CullThreshold" : 75, "UseParentFont" : false, "FontName" : "Arial", "FontSize" : 8, "FontColor" : 0, "LineSpacing" : 1.0000000000000000E+000, "LinkColor" : 255, "Options" : "", "TextAlignment" : { "Horizontal" : "taRightJustified", "Vertical" : "tlTop", "LeftMargin" : 1.0000000000000000E+000, "RightMargin" : 1.0000000000000000E+000, "TopMargin" : 0.0000000000000000E+000, "BottomMargin" : 0.0000000000000000E+000 } } }, "1" : { "Memo" : { "Name" : "mType", "Layout" : { "Top" : 0.0000000000000000E+000, "Left" : 1.3520208740234375E+002, "Width" : 3.3337501525878906E+001, "Height" : 3.9687500000000000E+000 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 0, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smDontStretch", "Text" : "[fprDSPerson.TYPEDESCRIPTION]", "CullThreshold" : 75, "UseParentFont" : false, "FontName" : "Arial", "FontSize" : 8, "FontColor" : 0, "LineSpacing" : 1.0000000000000000E+000, "LinkColor" : 255, "Options" : "", "TextAlignment" : { "Horizontal" : "taLeftJustified", "Vertical" : "tlTop", "LeftMargin" : 1.0000000000000000E+000, "RightMargin" : 1.0000000000000000E+000, "TopMargin" : 0.0000000000000000E+000, "BottomMargin" : 0.0000000000000000E+000 } } }, "2" : { "Memo" : { "Name" : "mPhone", "Layout" : { "Top" : 3.9145848751068115E+000, "Left" : 5.7679164886474609E+001, "Width" : 2.4870832443237305E+001, "Height" : 4.4979166984558105E+000 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 0, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smDontStretch", "Text" : "[fprDSPerson.PHONE]", "CullThreshold" : 75, "UseParentFont" : false, "FontName" : "Arial", "FontSize" : 8, "FontColor" : 0, "LineSpacing" : 1.0000000000000000E+000, "LinkColor" : 255, "Options" : "", "TextAlignment" : { "Horizontal" : "taLeftJustified", "Vertical" : "tlTop", "LeftMargin" : 1.0000000000000000E+000, "RightMargin" : 1.0000000000000000E+000, "TopMargin" : 0.0000000000000000E+000, "BottomMargin" : 0.0000000000000000E+000 } } }, "3" : { "Memo" : { "Name" : "mMobile", "Layout" : { "Top" : 0.0000000000000000E+000, "Left" : 5.7679164886474609E+001, "Width" : 2.5135416030883789E+001, "Height" : 4.4979166984558105E+000 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 0, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smDontStretch", "Text" : "[fprDSPerson.MOBILE]", "CullThreshold" : 75, "UseParentFont" : false, "FontName" : "Arial", "FontSize" : 8, "FontColor" : 0, "LineSpacing" : 1.0000000000000000E+000, "LinkColor" : 255, "Options" : "", "TextAlignment" : { "Horizontal" : "taLeftJustified", "Vertical" : "tlTop", "LeftMargin" : 1.0000000000000000E+000, "RightMargin" : 1.0000000000000000E+000, "TopMargin" : 0.0000000000000000E+000, "BottomMargin" : 0.0000000000000000E+000 } } }, "4" : { "Memo" : { "Name" : "mFullName", "Layout" : { "Top" : 0.0000000000000000E+000, "Left" : 1.3493751525878906E+001, "Width" : 4.3127082824707031E+001, "Height" : 3.9687500000000000E+000 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 0, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smDontStretch", "Text" : "[FullName]", "CullThreshold" : 75, "UseParentFont" : false, "FontName" : "Arial", "FontSize" : 8, "FontColor" : 0, "LineSpacing" : 1.0000000000000000E+000, "LinkColor" : 255, "Options" : "", "TextAlignment" : { "Horizontal" : "taLeftJustified", "Vertical" : "tlTop", "LeftMargin" : 1.0000000000000000E+000, "RightMargin" : 1.0000000000000000E+000, "TopMargin" : 0.0000000000000000E+000, "BottomMargin" : 0.0000000000000000E+000 } } }, "5" : { "Memo" : { "Name" : "mFullAddress", "Layout" : { "Top" : 0.0000000000000000E+000, "Left" : 8.4137496948242188E+001, "Width" : 4.9741664886474609E+001, "Height" : 1.2170833587646484E+001 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 0, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smDontStretch", "Text" : "[FullAddress]", "CullThreshold" : 75, "UseParentFont" : false, "FontName" : "Arial", "FontSize" : 8, "FontColor" : 0, "LineSpacing" : 1.0000000000000000E+000, "LinkColor" : 255, "Options" : "", "TextAlignment" : { "Horizontal" : "taLeftJustified", "Vertical" : "tlTop", "LeftMargin" : 1.0000000000000000E+000, "RightMargin" : 1.0000000000000000E+000, "TopMargin" : 0.0000000000000000E+000, "BottomMargin" : 0.0000000000000000E+000 } } }, "6" : { "Memo" : { "Name" : "mEmail", "Layout" : { "Top" : 3.9145848751068115E+000, "Left" : 1.3758333206176758E+001, "Width" : 4.2862499237060547E+001, "Height" : 7.6729168891906738E+000 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 0, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smDontStretch", "Text" : "[fprDSPerson.Email]", "CullThreshold" : 75, "UseParentFont" : false, "FontName" : "Arial", "FontSize" : 8, "FontColor" : 0, "LineSpacing" : 1.0000000000000000E+000, "LinkColor" : 255, "Options" : "", "TextAlignment" : { "Horizontal" : "taLeftJustified", "Vertical" : "tlTop", "LeftMargin" : 1.0000000000000000E+000, "RightMargin" : 1.0000000000000000E+000, "TopMargin" : 0.0000000000000000E+000, "BottomMargin" : 0.0000000000000000E+000 } } } }, "Data" : "fprdsPerson", "VisibleOnPage" : "vpAll", "KeepTogetherWithChildren" : true } }, "1" : { "PageHeaderBand" : { "Name" : "PageHeaderBand1", "Layout" : { "Top" : 5.0270833969116211E+000, "Left" : 0.0000000000000000E+000, "Width" : 1.8600000000000000E+002, "Height" : 2.3547916412353516E+001 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 0, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smDontStretch", "UseParentFont" : true, "BandPosition" : "bpNormal", "Children" : { "0" : { "Memo" : { "Name" : "mTitle", "Layout" : { "Top" : 2.3812503814697266E+000, "Left" : 3.6247917175292969E+001, "Width" : 1.1377083587646484E+002, "Height" : 1.0318750381469727E+001 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 15, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smDontStretch", "Text" : "[TITLE]", "CullThreshold" : 75, "UseParentFont" : false, "FontName" : "Arial", "FontSize" : 24, "FontColor" : 0, "LineSpacing" : 1.0000000000000000E+000, "LinkColor" : 255, "Options" : "", "TextAlignment" : { "Horizontal" : "taCentered", "Vertical" : "tlTop", "LeftMargin" : 1.0000000000000000E+000, "RightMargin" : 1.0000000000000000E+000, "TopMargin" : 0.0000000000000000E+000, "BottomMargin" : 0.0000000000000000E+000 } } }, "1" : { "Shape" : { "Name" : "lTopLine", "Layout" : { "Top" : 0.0000000000000000E+000, "Left" : 0.0000000000000000E+000, "Width" : 1.8547291564941406E+002, "Height" : 1.5874999761581421E+000 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 0, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smDontStretch", "ShapeType" : "stLine", "Orientation" : "orWest", "CornerRadius" : 5.0000000000000000E+000, "Color" : 0 } }, "2" : { "Memo" : { "Name" : "Memo1", "Layout" : { "Top" : 2.3812503814697266E+000, "Left" : 1.0583332777023315E+000, "Width" : 2.9897916793823242E+001, "Height" : 4.2333331108093262E+000 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 0, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smDontStretch", "Text" : "Date [TODAY]", "CullThreshold" : 75, "UseParentFont" : false, "FontName" : "Arial", "FontSize" : 8, "FontColor" : 0, "LineSpacing" : 1.0000000000000000E+000, "LinkColor" : 255, "Options" : "", "TextAlignment" : { "Horizontal" : "taLeftJustified", "Vertical" : "tlTop", "LeftMargin" : 1.0000000000000000E+000, "RightMargin" : 1.0000000000000000E+000, "TopMargin" : 0.0000000000000000E+000, "BottomMargin" : 0.0000000000000000E+000 } } }, "3" : { "Memo" : { "Name" : "mPageNumber", "Layout" : { "Top" : 2.3812503814697266E+000, "Left" : 1.5478125000000000E+002, "Width" : 2.9368749618530273E+001, "Height" : 4.2333331108093262E+000 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 0, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smDontStretch", "Text" : "Page  [PageNo] / [PageCount]", "CullThreshold" : 75, "UseParentFont" : false, "FontName" : "Arial", "FontSize" : 8, "FontColor" : 0, "LineSpacing" : 1.0000000000000000E+000, "LinkColor" : 255, "Options" : "", "TextAlignment" : { "Horizontal" : "taRightJustified", "Vertical" : "tlTop", "LeftMargin" : 1.0000000000000000E+000, "RightMargin" : 1.0000000000000000E+000, "TopMargin" : 0.0000000000000000E+000, "BottomMargin" : 0.0000000000000000E+000 } } }, "4" : { "Memo" : { "Name" : "mPIDTitle", "Layout" : { "Top" : 1.6404167175292969E+001, "Left" : 0.0000000000000000E+000, "Width" : 1.5875000000000000E+001, "Height" : 4.7624998092651367E+000 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 0, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smDontStretch", "Text" : "Person ID", "CullThreshold" : 75, "UseParentFont" : false, "FontName" : "Arial-BoldMT", "FontSize" : 8, "FontColor" : 0, "LineSpacing" : 1.0000000000000000E+000, "LinkColor" : 255, "Options" : "", "TextAlignment" : { "Horizontal" : "taLeftJustified", "Vertical" : "tlTop", "LeftMargin" : 1.0000000000000000E+000, "RightMargin" : 1.0000000000000000E+000, "TopMargin" : 0.0000000000000000E+000, "BottomMargin" : 0.0000000000000000E+000 } } }, "5" : { "Shape" : { "Name" : "lBottomLine", "Layout" : { "Top" : 2.1695833206176758E+001, "Left" : 0.0000000000000000E+000, "Width" : 1.8547291564941406E+002, "Height" : 1.3229166269302368E+000 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 0, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smDontStretch", "ShapeType" : "stLine", "Orientation" : "orWest", "CornerRadius" : 5.0000000000000000E+000, "Color" : 0 } }, "6" : { "Memo" : { "Name" : "mNameTitle", "Layout" : { "Top" : 1.6404167175292969E+001, "Left" : 1.3493751525878906E+001, "Width" : 1.5610416412353516E+001, "Height" : 4.2333331108093262E+000 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 0, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smDontStretch", "Text" : "Name", "CullThreshold" : 75, "UseParentFont" : false, "FontName" : "Arial-BoldMT", "FontSize" : 8, "FontColor" : 0, "LineSpacing" : 1.0000000000000000E+000, "LinkColor" : 255, "Options" : "", "TextAlignment" : { "Horizontal" : "taLeftJustified", "Vertical" : "tlTop", "LeftMargin" : 1.0000000000000000E+000, "RightMargin" : 1.0000000000000000E+000, "TopMargin" : 0.0000000000000000E+000, "BottomMargin" : 0.0000000000000000E+000 } } }, "7" : { "Memo" : { "Name" : "mMobileTitle", "Layout" : { "Top" : 1.4022916793823242E+001, "Left" : 5.7679164886474609E+001, "Width" : 1.4287500381469727E+001, "Height" : 3.9687500000000000E+000 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 0, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smDontStretch", "Text" : "Mobile", "CullThreshold" : 75, "UseParentFont" : false, "FontName" : "Arial-BoldMT", "FontSize" : 8, "FontColor" : 0, "LineSpacing" : 1.0000000000000000E+000, "LinkColor" : 255, "Options" : "", "TextAlignment" : { "Horizontal" : "taLeftJustified", "Vertical" : "tlTop", "LeftMargin" : 1.0000000000000000E+000, "RightMargin" : 1.0000000000000000E+000, "TopMargin" : 0.0000000000000000E+000, "BottomMargin" : 0.0000000000000000E+000 } } }, "8" : { "Memo" : { "Name" : "mPhoneTitle", "Layout" : { "Top" : 1.7727083206176758E+001, "Left" : 5.7679164886474609E+001, "Width" : 1.0318750381469727E+001, "Height" : 4.2333331108093262E+000 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 0, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smDontStretch", "Text" : "Phone", "CullThreshold" : 75, "UseParentFont" : false, "FontName" : "Arial-BoldMT", "FontSize" : 8, "FontColor" : 0, "LineSpacing" : 1.0000000000000000E+000, "LinkColor" : 255, "Options" : "", "TextAlignment" : { "Horizontal" : "taLeftJustified", "Vertical" : "tlTop", "LeftMargin" : 1.0000000000000000E+000, "RightMargin" : 1.0000000000000000E+000, "TopMargin" : 0.0000000000000000E+000, "BottomMargin" : 0.0000000000000000E+000 } } }, "9" : { "Memo" : { "Name" : "mAddressTitle", "Layout" : { "Top" : 1.6404167175292969E+001, "Left" : 8.4137496948242188E+001, "Width" : 1.9579166412353516E+001, "Height" : 4.2333331108093262E+000 }, "Frame" : { "Color" : 2147483648, "Pen" : "psSolid", "Width" : 1, "Shape" : "fsNone", "Lines" : 0, "BackgroundColor" : 2147483648 }, "Visible" : true, "VisibleExpr" : "", "StretchMode" : "smDontStretch", "Text" : "Address", "CullThreshold" : 75, "UseParentFont" : false, "FontName" : "Arial-BoldMT", "FontSize" : 8, "FontColor" : 0, "LineSpacing" : 1.0000000000000000E+000, "LinkColor" : 255, "Options" : "", "TextAlignment" : { "Horizontal" : "taLeftJustified", "Vertical" : "tlTop", "LeftMargin" : 1.0000000000000000E+000, "RightMargin" : 1.0000000000000000E+000, "TopMargin" : 0.0000000000000000E+000, "BottomMargin" : 0.0000000000000000E+000 } } } }, "VisibleOnPage" : "vpAll", "KeepTogetherWithChildren" : true } } } } }, "Variables" : { "0" : { "Name" : "FullName", "DataType" : "rtString", "Value" : "", "Expression" : "fprDSPerson.FIRSTNAME + '' '' + fprDSPerson.MIDDLENAME + '' '' + fprDSPerson.LASTNAME", "ResetValueExpression" : "", "ResetType" : "rtNone" }, "1" : { "Name" : "PageNumber", "DataType" : "rtString", "Value" : "", "Expression" : "", "ResetValueExpression" : "", "ResetType" : "rtNone" }, "2" : { "Name" : "FullAddress", "DataType" : "rtString", "Value" : "", "Expression" : "fprDSPerson.Address1 + '' '' + fprDSPerson.Address2 + '' '' + fprDSPerson.City + '', '' + fprDSPerson.State + '', '' + fprDSPerson.Zip", "ResetValueExpression" : "", "ResetType" : "rtNone" } } } }'
  end
end
